---
dependency:
  name: galaxy
driver:
  name: delegated
platforms:
  - name: instance
provisioner:
  name: ansible
  config_options:
    defaults:
      gathering: smart
      fact_caching: jsonfile
      fact_caching_connection: ~/.ansible/facts_cache
      fact_caching_timeout: 7200
      display_skipped_hosts: false
      callback_whitelist: ansible.posix.profile_tasks
      stdout_callback: debug
  playbooks:
    create: create.yml
    converge: converge.yml
    verify: verify.yml
    cleanup: cleanup.yml
    destroy: destroy.yml
  inventory:
    hosts:
      all:
        hosts:
          molecule-toolchain:
            ansible_host: molecule-toolchain
            ansible_connection: docker
            ansible_python_interpreter: /usr/bin/python3
            host_save_dir: "{{ host_vol_dir }}"
            host_xand_dir: "/tmp/molecule-grafana/non-consensus-node"

verifier:
  name: ansible
